%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Var_Dump

Name:           php-pear-Var-Dump
Version:        1.0.4
Release:        4%{?dist}
Summary:        Provides methods for dumping structured information about a variable

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Var_Dump
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}


%description
The Var_Dump class is a wrapper for the var_dump function.

The var_dump function displays structured information about expressions
that includes its type and value. Arrays are explored recursively with
values indented to show structure.

The Var_Dump class captures the output of the var_dump function, by using
output control functions, and then uses external renderer classes for
displaying the result in various graphical ways :
* Simple text,
* HTML/XHTML text,
* HTML/XHTML table,
* XML,
* ...

%prep
%setup -q -c

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%check
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} \
   run-tests \
   -i "-d include_path=%{buildroot}%{pear_phpdir}:%{pear_phpdir}" \
   tests | tee ../tests.log
# Some tests are arch/environment dependant
# grep "FAILED TESTS" ../tests.log && exit 1


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/%{pear_name}*
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}
%exclude %{_bindir}/gen_php_doc.sh


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Apr 30 2011 Remi Collet <Fedora@FamilleCollet.com> 1.0.4-3
- doc in /usr/share/doc/pear
- set date.timezone during build
- run tests in %%check

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 15 2010 Remi Collet <Fedora@FamilleCollet.com> 1.0.4-1
- update to Version 1.0.4 - API 1.0.0 (bugfix)

* Sat May 22 2010 Remi Collet <Fedora@FamilleCollet.com> 1.0.3-5
- spec cleanup
- rename Var_Dump.xml to php-pear-Var-Dump.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 21 2008 Remi Collet <Fedora@FamilleCollet.com> 1.0.3-2
- Add missing Requires: php-pear(PEAR)

* Tue Jul 08 2008 Remi Collet <Fedora@FamilleCollet.com> 1.0.3-1
- initial RPM

